Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDHEADINGschemes

    java.lang.Object
      java.lang.Enum<CDHEADINGschemes>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDHEADINGschemes

All Implemented Interfaces:
  Serializable, Comparable<CDHEADINGschemes>

    public enum CDHEADINGschemes

extends Enum<CDHEADINGschemes>

Java class for CD-HEADINGschemes.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-HEADINGschemes">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CD-HEADING"/>
         <enumeration value="CD-HEADING-LAB"/>
         <enumeration value="CD-SITE"/>
         <enumeration value="LOCAL"/>
         <enumeration value="CD-HEADING-REG"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CD_HEADING`
`CD_HEADING_LAB`
`CD_HEADING_REG`
`CD_SITE`
`LOCAL`

Method Summary
`static CDHEADINGschemes` | `fromValue(String v)`
`String` | `value()`
`static CDHEADINGschemes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDHEADINGschemes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CD_HEADING

    public static final CDHEADINGschemes CD_HEADING

### CD_HEADING_LAB

    public static final CDHEADINGschemes CD_HEADING_LAB

### CD_SITE

    public static final CDHEADINGschemes CD_SITE

### LOCAL

    public static final CDHEADINGschemes LOCAL

### CD_HEADING_REG

    public static final CDHEADINGschemes CD_HEADING_REG

Method Detail

### values

    public static CDHEADINGschemes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDHEADINGschemes c : CDHEADINGschemes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDHEADINGschemes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDHEADINGschemes fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSLOGOPEDIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.